Bug 54811 - gcc internal error on strlen()
gcc internal error on strlen()
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2001-10-19 12:16 EDT by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-19 12:24:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-19 12:16:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [fr] (X11; U; Linux 2.4.4-rtl i686)

Description of problem:
gcc internal error on strlen()

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Reboot my system
2. compile

Additional info:
Comment 1 Jakub Jelinek 2001-10-19 12:24:25 EDT
Compile what?
If it is reproduceable (ie. always ICEs on the same input with the same options,
you need to provide
a) full gcc or g++ command line
b) rerun it with -save-temps option in addition to what you used to reproduce
   it and attach here the .i or .ii file it creates
Comment 2 Jakub Jelinek 2001-10-23 11:21:27 EDT
Please use -fno-builtin switch. linux/string.h conflicts with g++ builtins.
If you used <string.h> instead, it would work just fine.
This problem was "solved" in gcc3 by hardcoding -fno-builtin for C++
and relying on libstdc++-v3 headers to map those functions to the
__builtin_* counterparts. But libstdc++ (v2) doesn't do this and IMHO
disabling builtin optimizations for C++ for all folks just to get rid of this
ICE is not a good idea.
BTW: Just wondering: since when are kernel modules written in C++ and use libc headers?

Note You need to log in before you can comment on or make changes to this bug.